Bug 1047116 - environment variables not expanded from desktop icons
Summary: environment variables not expanded from desktop icons
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-29 08:00 UTC by Ed Greshko
Modified: 2015-06-29 13:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:54:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Ed Greshko 2013-12-29 08:00:03 UTC
Description of problem: environment variable not expanded when application is launched from a desktop icon.

The desktop file is as follows...

[egreshko@f20f ]$ cat Desktop/gnome-terminal.desktop
[Desktop Entry]
Comment[en_US]=
Comment=
Exec=/usr/bin/gnome-terminal --working-directory=$HOME/Desktop
GenericName[en_US]=Gnome Terminal
GenericName=Gnome Terminal
Icon=utilities-terminal
MimeType=
Name[en_US]=gnome-terminal
Name=gnome-terminal
StartupNotify=true
Terminal=false
TerminalOptions=
Type=Application
X-DBUS-ServiceName=
X-DBUS-StartupType=
X-KDE-SubstituteUID=false
X-KDE-Username=

If I click on the desktop icon in KDE the --working-directory option is honored and $HOME is expanded..

However, if I double click on the desktop icon in GNOME that parameter has no effect unless I replace $HOME with the actual path name.  So, for some reason GNOME is not expanding the $HOME variable.

Also, if I execute "/usr/bin/gnome-terminal --working-directory=$HOME/Desktop" from within an existing terminal session $HOME will be expanded.


Version-Release number of selected component (if applicable):


How reproducible:  See above


Steps to Reproduce:
1.
2.
3.

Actual results: $HOME is not expanded


Expected results: $HOME should be expanded


Additional info:

Comment 1 Michael Schwendt 2013-12-29 13:18:26 UTC
similar to bug 1046980 - gnome-terminal's initial home directory is /

Comment 2 Sam Varshavchik 2013-12-29 15:05:33 UTC
This has been the case for the long time.

gnome-shell appears to take what's in Exec, split it into individual words, with some basic quoting algorithm, then pass the whole thing to exec().

The workaround for both bugs, this one and 1046980, which is a different bug, is the same:

Exec=sh -c "gnome-terminal --working-directory=$HOME &"

Comment 3 Ed Greshko 2013-12-29 21:57:58 UTC
Of course the existence of a workaround doesn't negate the existence of a bug.

Comment 4 Fedora End Of Life 2015-05-29 10:13:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 13:54:35 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.